Bug 1889 - Keep Alive packets
Keep Alive packets
Status: CLOSED FIXED
Product: rsync
Classification: Unclassified
Component: core
2.6.3
All All
: P3 enhancement
: ---
Assigned To: Wayne Davison
Rsync QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-08 03:59 UTC by Pieter De Wit
Modified: 2005-04-01 11:21 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pieter De Wit 2004-10-08 03:59:53 UTC
Would it be posiable to add a "keep alive" option to rsync. The 
problem I am having is that the connection is dropped while rsync is 
scanning the local directory. If "null" packets are send to the server 
every 60 seconds or so, the connection will stay up and the sync will work.
Comment 1 Wayne Davison 2005-02-12 15:05:18 UTC
Note that in the new version, this too-long receiver-side scan can be avoided by
using --delete-during (--del).  However, I'm still considering adding a "keep
alive" message.
Comment 2 Wayne Davison 2005-02-26 12:02:58 UTC
I just finished checking in some changes that moved all the delete-handling code
into the generator so that the new keep-alive packet that I recently added for
the during-the-transfer timeout protection can be used in the deletion scanning
(which it now is).